
## global prerelease	201412181500

Summary:	Free, simple and portable asynchronous resolver library
Name:		libasr
Version:	1.0.2
Release:	1%{?prerelease:.%{prerelease}}%{?dist}

Group:		System Environment/Libraries
License:	BSD
URL:		https://github.com/OpenSMTPD/libasr

%if 0%{?prerelease}
Source0:	http://www.opensmtpd.org/archives/%{name}-%{prerelease}.tar.gz
%else
Source0:	http://www.opensmtpd.org/archives/%{name}-%{version}.tar.gz
%endif

%{?el5:BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)}

BuildRequires:	libevent-devel
BuildRequires:	openssl-devel

%description
Libasr allows to run DNS queries and perform hostname resolutions in a fully
asynchronous fashion. The implementation is thread-less, fork-less, and does not
make use of signals or other "tricks" that might get in the developer's way.
The API was initially developed for the OpenBSD operating system, where it is
natively supported.

This library is intended to bring this interface to other systems. It is
originally provided as a support library for the portable version of the
OpenSMTPD daemon, but it can be used in any other contexts.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains the header files and libraries for developing
with %{name}.


%prep
%setup -q %{?prerelease: -n %{name}-%{prerelease}}

%build
%configure \
	--enable-shared \
	--disable-static \
	--with-mantype=man

make %{?_smp_mflags}

%install
%if 0%{?el5}
rm -rf %{buildroot}
%endif
make install DESTDIR=%{buildroot}
chmod 0755 %{buildroot}%{_libdir}/libasr.so.*
rm -f %{buildroot}%{_libdir}/*.la

%if 0%{?el5}
%clean
rm -rf %{buildroot}
%endif


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc ChangeLog LICENCE README.md
%{_mandir}/man3/*.3*
%{_libdir}/libasr.so.*


%files devel
%{_includedir}/asr.h
%{_libdir}/libasr.so


%changelog
* Thu Jun 04 2015 Denis Fateyev <denis@fateyev.com> - 1.0.2-1
- Update to 1.0.2 release

* Mon Feb 02 2015 Denis Fateyev <denis@fateyev.com> - 1.0.1-1
- Update to 1.0.1 release

* Sun Dec 21 2014 Denis Fateyev <denis@fateyev.com> - 1.0.0-1
- Initial Fedora RPM release
